View Issue Details

IDProjectCategoryView StatusLast Update
0000702XdebugFeature/Change requestpublic2017-12-28 19:16
ReporterderickAssigned Toderick 
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Product Version2.2dev 
Target Version2.6.0Fixed in Version2.6.0beta1 
Summary0000702: Check whether variables tracing also works with =&
DescriptionThe comment is:

Hi Derick,

It looks like the xdebug only output the assignment = but not =& . Can you confirm it?

Many thanks,
Anh
TagsNo tags attached.
Operating System
PHP Version5.3.6

Activities

derick

2012-04-08 13:08

administrator   ~0002031

Trickier than I thought, postponing this to a later version.

derick

2017-04-22 16:58

administrator   ~0004323

There is now a WIP branch named issue702-assign-by-ref-in-trace

derick

2017-12-10 16:45

administrator   ~0004507

Finally fixed, for Xdebug 2.6.0alpha2 (or beta1).

Issue History

Date Modified Username Field Change
2011-07-07 16:22 derick New Issue
2011-07-07 16:22 derick Status new => assigned
2011-07-07 16:22 derick Assigned To => derick
2012-03-12 16:25 derick Target Version 2.2dev => 2.2.0
2012-04-08 13:07 derick Target Version 2.2.0 => 2.2.1
2012-04-08 13:08 derick Note Added: 0002031
2012-04-08 13:08 derick Severity minor => feature
2012-04-08 13:08 derick Reproducibility have not tried => always
2012-04-08 13:08 derick Category Usage problems => Feature/Change request
2012-04-08 13:08 derick Target Version 2.2.1 =>
2016-12-10 10:04 derick Status assigned => confirmed
2016-12-10 10:04 derick Target Version => 2.6.0dev
2017-04-22 16:58 derick Note Added: 0004323
2017-12-02 18:35 derick Target Version 2.6.0dev => 2.6.0
2017-12-10 16:45 derick Note Added: 0004507
2017-12-10 16:45 derick Status confirmed => closed
2017-12-10 16:45 derick Resolution open => fixed
2017-12-10 16:45 derick Fixed in Version => 2.6.0
2017-12-28 19:16 derick Fixed in Version 2.6.0 => 2.6.0beta1